Skip to main content
Send document to a client
POST https://services.leadconnectorhq.com/proposals/document/send

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Body

locationId
string
default:"hTlkh7t8gujsahgg93"
required
Account Id
documentId
string
default:"hTlkh7t8gujsahgg93"
required
Document Id
documentName
string
default:"new Document"
Document Name
medium
string
default:"email"
Medium to be used for sending the document Posibles valores: ‘link’, ‘email’
ccRecipients
object[]
CC Recipient
notificationSettings
object
sentBy
string
default:"1234567890"
required
Sent ByUser Id

Respuestas

success
boolean
default:"True"
required
Success status
Links for all recipients
{
  "success": true,
  "links": [
    {
      "referenceId": "550e8400-e29b-41d4-a716-446655440000",
      "documentId": "c1e87a91-93b2-4b78-821f-85cf0e1f925b",
      "recipientId": "u240JcS0E5qE0ziHnwMm",
      "entityName": "contacts",
      "recipientCategory": "recipient",
      "documentRevision": 1,
      "createdBy": "b6d8fa28-1112-4dc7-b9d2-f22b75a477ea",
      "deleted": false
    }
  ]
}
statusCode
number
default:"400"
message
string
default:"Bad Request"
{
  "statusCode": 400,
  "message": "Bad Request"
}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/proposals/document/send' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "hTlkh7t8gujsahgg93",
  "documentId": "hTlkh7t8gujsahgg93",
  "documentName": "new Document",
  "medium": "email",
  "ccRecipients": [
    {
      "id": "u240JcS0E5qE0ziHnwMm",
      "email": "jim@gmail.com",
      "imageUrl": "",
      "contactName": "Jim Anton",
      "firstName": "Jim",
      "lastName": "Anton"
    }
  ],
  "notificationSettings": {
    "sender": {
      "fromName": "",
      "fromEmail": ""
    },
    "receive": {
      "subject": "",
      "templateId": ""
    }
  },
  "sentBy": "1234567890"
}'
const response = await fetch('https://services.leadconnectorhq.com/proposals/document/send', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"locationId": "hTlkh7t8gujsahgg93", "documentId": "hTlkh7t8gujsahgg93", "documentName": "new Document", "medium": "email", "ccRecipients": [{"id": "u240JcS0E5qE0ziHnwMm", "email": "jim@gmail.com", "imageUrl": "", "contactName": "Jim Anton", "firstName": "Jim", "lastName": "Anton"}], "notificationSettings": {"sender": {"fromName": "", "fromEmail": ""}, "receive": {"subject": "", "templateId": ""}}, "sentBy": "1234567890"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'POST',
    'https://services.leadconnectorhq.com/proposals/document/send',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"locationId": "hTlkh7t8gujsahgg93", "documentId": "hTlkh7t8gujsahgg93", "documentName": "new Document", "medium": "email", "ccRecipients": [{"id": "u240JcS0E5qE0ziHnwMm", "email": "jim@gmail.com", "imageUrl": "", "contactName": "Jim Anton", "firstName": "Jim", "lastName": "Anton"}], "notificationSettings": {"sender": {"fromName": "", "fromEmail": ""}, "receive": {"subject": "", "templateId": ""}}, "sentBy": "1234567890"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/proposals/document/send');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'locationId': 'hTlkh7t8gujsahgg93', 'documentId': 'hTlkh7t8gujsahgg93', 'documentName': 'new Document', 'medium': 'email', 'ccRecipients': [{'id': 'u240JcS0E5qE0ziHnwMm', 'email': 'jim@gmail.com', 'imageUrl': '', 'contactName': 'Jim Anton', 'firstName': 'Jim', 'lastName': 'Anton'}], 'notificationSettings': {'sender': {'fromName': '', 'fromEmail': ''}, 'receive': {'subject': '', 'templateId': ''}}, 'sentBy': '1234567890'}),
]);
$data = json_decode(curl_exec($ch), true);